Loading...
Searching...
No Matches
XrdPosixLinkage.cc File Reference
`#include <dlfcn.h>`
`#include <link.h>`
`#include <cerrno>`
`#include <cstdio>`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdPosix/XrdPosixLinkage.hh"`
Include dependency graph for XrdPosixLinkage.cc:

Go to the source code of this file.

## Macros

#define | LOOKUP_UNIX(symb)

## Functions

Retv_Access | Xrd_U_Access (Args_Access)
Retv_Acl | Xrd_U_Acl (Args_Acl)
Retv_Chdir | Xrd_U_Chdir (Args_Chdir)
Retv_Close | Xrd_U_Close (Args_Close)
Retv_Closedir | Xrd_U_Closedir (Args_Closedir)
Retv_Fclose | Xrd_U_Fclose (Args_Fclose)
Retv_Fcntl | Xrd_U_Fcntl (Args_Fcntl)
Retv_Fcntl64 | Xrd_U_Fcntl64 (Args_Fcntl64)
Retv_Fdatasync | Xrd_U_Fdatasync (Args_Fdatasync)
Retv_Fflush | Xrd_U_Fflush (Args_Fflush)
Retv_Fgetxattr | Xrd_U_Fgetxattr (Args_Fgetxattr)
Retv_Fopen | Xrd_U_Fopen (Args_Fopen)
Retv_Fopen64 | Xrd_U_Fopen64 (Args_Fopen64)
Retv_Fread | Xrd_U_Fread (Args_Fread)
Retv_Fseek | Xrd_U_Fseek (Args_Fseek)
Retv_Fseeko | Xrd_U_Fseeko (Args_Fseeko)
Retv_Fseeko64 | Xrd_U_Fseeko64 (Args_Fseeko64)
Retv_Fstat | Xrd_U_Fstat (Args_Fstat)
Retv_Fstat64 | Xrd_U_Fstat64 (Args_Fstat64)
Retv_Fsync | Xrd_U_Fsync (Args_Fsync)
Retv_Ftell | Xrd_U_Ftell (Args_Ftell)
Retv_Ftello | Xrd_U_Ftello (Args_Ftello)
Retv_Ftello64 | Xrd_U_Ftello64 (Args_Ftello64)
Retv_Ftruncate | Xrd_U_Ftruncate (Args_Ftruncate)
Retv_Ftruncate64 | Xrd_U_Ftruncate64 (Args_Ftruncate64)
Retv_Fwrite | Xrd_U_Fwrite (Args_Fwrite)
Retv_Getxattr | Xrd_U_Getxattr (Args_Getxattr)
Retv_Lgetxattr | Xrd_U_Lgetxattr (Args_Lgetxattr)
Retv_Lseek | Xrd_U_Lseek (Args_Lseek)
Retv_Lseek64 | Xrd_U_Lseek64 (Args_Lseek64)
Retv_Lstat | Xrd_U_Lstat (Args_Lstat)
Retv_Lstat64 | Xrd_U_Lstat64 (Args_Lstat64)
Retv_Mkdir | Xrd_U_Mkdir (Args_Mkdir)
Retv_Open | Xrd_U_Open (Args_Open)
Retv_Open64 | Xrd_U_Open64 (Args_Open64)
Retv_Opendir | Xrd_U_Opendir (Args_Opendir)
Retv_Pathconf | Xrd_U_Pathconf (Args_Pathconf)
Retv_Pread | Xrd_U_Pread (Args_Pread)
Retv_Pread64 | Xrd_U_Pread64 (Args_Pread64)
Retv_Pwrite | Xrd_U_Pwrite (Args_Pwrite)
Retv_Pwrite64 | Xrd_U_Pwrite64 (Args_Pwrite64)
Retv_Read | Xrd_U_Read (Args_Read)
Retv_Readdir | Xrd_U_Readdir (Args_Readdir)
Retv_Readdir64 | Xrd_U_Readdir64 (Args_Readdir64)
Retv_Readdir64_r | Xrd_U_Readdir64_r (Args_Readdir64_r)
Retv_Readdir_r | Xrd_U_Readdir_r (Args_Readdir_r)
Retv_Readv | Xrd_U_Readv (Args_Readv)
Retv_Rename | Xrd_U_Rename (Args_Rename)
Retv_Rewinddir | Xrd_U_Rewinddir (Args_Rewinddir)
Retv_Rmdir | Xrd_U_Rmdir (Args_Rmdir)
Retv_Seekdir | Xrd_U_Seekdir (Args_Seekdir)
Retv_Stat | Xrd_U_Stat (Args_Stat)
Retv_Stat64 | Xrd_U_Stat64 (Args_Stat64)
Retv_Statfs | Xrd_U_Statfs (Args_Statfs)
Retv_Statfs64 | Xrd_U_Statfs64 (Args_Statfs64)
Retv_Statvfs | Xrd_U_Statvfs (Args_Statvfs)
Retv_Statvfs64 | Xrd_U_Statvfs64 (Args_Statvfs64)
Retv_Telldir | Xrd_U_Telldir (Args_Telldir)
Retv_Truncate | Xrd_U_Truncate (Args_Truncate)
Retv_Truncate64 | Xrd_U_Truncate64 (Args_Truncate64)
Retv_Unlink | Xrd_U_Unlink (Args_Unlink)
Retv_Write | Xrd_U_Write (Args_Write)
Retv_Writev | Xrd_U_Writev (Args_Writev)

## Variables

XrdPosixLinkage | Xunix

## Macro Definition Documentation

## LOOKUP_UNIX

#define LOOKUP_UNIX | ( |  | symb | ) |

Value:
symb = (Retv_ ## symb (*)(Args_ ## symb)) \
dlsym(RTLD_NEXT, Symb_ ## symb); \
if (!symb) {symb = Xrd_U_ ## symb; \
Missing(Symb_ ## symb);}

Definition at line 63 of file XrdPosixLinkage.cc.

#define LOOKUP_UNIX(symb) symb = (Retv_ ## symb (*)(Args_ ## symb)) \
dlsym(RTLD_NEXT, Symb_ ## symb); \
if (!symb) {symb = Xrd_U_ ## symb; \
Missing(Symb_ ## symb);}

## Function Documentation

## Xrd_U_Access()

Retv_Access Xrd_U_Access | ( | Args_Access |  | ) |

Definition at line 72 of file XrdPosixLinkage.cc.

{return (Retv_Access)Xunix.Load_Error("access");}
Retv_Access
#define Retv_Access
Definition XrdPosixLinkage.hh:57
Xunix
XrdPosixLinkage Xunix
Definition XrdPosixLinkage.cc:57

References Args_Access, Retv_Access, and Xunix.

## Xrd_U_Acl()

Retv_Acl Xrd_U_Acl | ( | Args_Acl |  | ) |

Definition at line 75 of file XrdPosixLinkage.cc.

{return (Retv_Acl)Xunix.Load_Error("acl");}
Retv_Acl
#define Retv_Acl
Definition XrdPosixLinkage.hh:61

References Args_Acl, Retv_Acl, and Xunix.

## Xrd_U_Chdir()

Retv_Chdir Xrd_U_Chdir | ( | Args_Chdir |  | ) |

Definition at line 78 of file XrdPosixLinkage.cc.

{return (Retv_Chdir)Xunix.Load_Error("chdir");}
Retv_Chdir
#define Retv_Chdir
Definition XrdPosixLinkage.hh:65

References Args_Chdir, Retv_Chdir, and Xunix.

## Xrd_U_Close()

Retv_Close Xrd_U_Close | ( | Args_Close |  | ) |

Definition at line 80 of file XrdPosixLinkage.cc.

{return (Retv_Close)Xunix.Load_Error("close");}
Retv_Close
#define Retv_Close
Definition XrdPosixLinkage.hh:69

References Args_Close, Retv_Close, and Xunix.

## Xrd_U_Closedir()

Retv_Closedir Xrd_U_Closedir | ( | Args_Closedir |  | ) |

Definition at line 82 of file XrdPosixLinkage.cc.

{return (Retv_Closedir)Xunix.Load_Error("closedir");}
Retv_Closedir
#define Retv_Closedir
Definition XrdPosixLinkage.hh:73

References Args_Closedir, Retv_Closedir, and Xunix.

## Xrd_U_Fclose()

Retv_Fclose Xrd_U_Fclose | ( | Args_Fclose |  | ) |

Definition at line 84 of file XrdPosixLinkage.cc.

{return (Retv_Fclose)Xunix.Load_Error("fclose");}
Retv_Fclose
#define Retv_Fclose
Definition XrdPosixLinkage.hh:77

References Args_Fclose, Retv_Fclose, and Xunix.

## Xrd_U_Fcntl()

Retv_Fcntl Xrd_U_Fcntl | ( | Args_Fcntl |  | ) |

Definition at line 86 of file XrdPosixLinkage.cc.

{Xunix.Load_Error("fcntl"); return (Retv_Fcntl)0;}
Retv_Fcntl
#define Retv_Fcntl
Definition XrdPosixLinkage.hh:81

References Args_Fcntl, Retv_Fcntl, and Xunix.

## Xrd_U_Fcntl64()

Retv_Fcntl64 Xrd_U_Fcntl64 | ( | Args_Fcntl64 |  | ) |

Definition at line 88 of file XrdPosixLinkage.cc.

{Xunix.Load_Error("fcntl"); return (Retv_Fcntl64)0;}
Retv_Fcntl64
#define Retv_Fcntl64
Definition XrdPosixLinkage.hh:90

References Args_Fcntl64, Retv_Fcntl64, and Xunix.

## Xrd_U_Fdatasync()

Retv_Fdatasync Xrd_U_Fdatasync | ( | Args_Fdatasync |  | ) |

Definition at line 90 of file XrdPosixLinkage.cc.

{return (Retv_Fdatasync)Xunix.Load_Error("fdatasync");}
Retv_Fdatasync
#define Retv_Fdatasync
Definition XrdPosixLinkage.hh:95

References Args_Fdatasync, Retv_Fdatasync, and Xunix.

## Xrd_U_Fflush()

Retv_Fflush Xrd_U_Fflush | ( | Args_Fflush |  | ) |

Definition at line 92 of file XrdPosixLinkage.cc.

{return (Retv_Fflush)Xunix.Load_Error("fflush");}
Retv_Fflush
#define Retv_Fflush
Definition XrdPosixLinkage.hh:99

References Args_Fflush, Retv_Fflush, and Xunix.

## Xrd_U_Fgetxattr()

Retv_Fgetxattr Xrd_U_Fgetxattr | ( | Args_Fgetxattr |  | ) |

Definition at line 124 of file XrdPosixLinkage.cc.

{return (Retv_Fgetxattr)Xunix.Load_Error("fgetxattr");}
Retv_Fgetxattr
#define Retv_Fgetxattr
Definition XrdPosixLinkage.hh:205

References Args_Fgetxattr, Retv_Fgetxattr, and Xunix.

## Xrd_U_Fopen()

Retv_Fopen Xrd_U_Fopen | ( | Args_Fopen |  | ) |

Definition at line 94 of file XrdPosixLinkage.cc.

{Xunix.Load_Error("fopen"); return (Retv_Fopen)0;}
Retv_Fopen
#define Retv_Fopen
Definition XrdPosixLinkage.hh:103

References Args_Fopen, Retv_Fopen, and Xunix.

## Xrd_U_Fopen64()

Retv_Fopen64 Xrd_U_Fopen64 | ( | Args_Fopen64 |  | ) |

Definition at line 96 of file XrdPosixLinkage.cc.

{Xunix.Load_Error("fopen"); return (Retv_Fopen64)0;}
Retv_Fopen64
#define Retv_Fopen64
Definition XrdPosixLinkage.hh:112

References Args_Fopen64, Retv_Fopen64, and Xunix.

## Xrd_U_Fread()

Retv_Fread Xrd_U_Fread | ( | Args_Fread |  | ) |

Definition at line 98 of file XrdPosixLinkage.cc.

{return (Retv_Fread)Xunix.Load_Error("fread");}
Retv_Fread
#define Retv_Fread
Definition XrdPosixLinkage.hh:117

References Args_Fread, Retv_Fread, and Xunix.

## Xrd_U_Fseek()

Retv_Fseek Xrd_U_Fseek | ( | Args_Fseek |  | ) |

Definition at line 100 of file XrdPosixLinkage.cc.

{return (Retv_Fseek)Xunix.Load_Error("fseek");}
Retv_Fseek
#define Retv_Fseek
Definition XrdPosixLinkage.hh:121

References Args_Fseek, Retv_Fseek, and Xunix.

## Xrd_U_Fseeko()

Retv_Fseeko Xrd_U_Fseeko | ( | Args_Fseeko |  | ) |

Definition at line 102 of file XrdPosixLinkage.cc.

{return (Retv_Fseeko)Xunix.Load_Error("fseeko");}
Retv_Fseeko
#define Retv_Fseeko
Definition XrdPosixLinkage.hh:125

References Args_Fseeko, Retv_Fseeko, and Xunix.

## Xrd_U_Fseeko64()

Retv_Fseeko64 Xrd_U_Fseeko64 | ( | Args_Fseeko64 |  | ) |

Definition at line 104 of file XrdPosixLinkage.cc.

{return (Retv_Fseeko64)Xunix.Load_Error("fseeko64");}
Retv_Fseeko64
#define Retv_Fseeko64
Definition XrdPosixLinkage.hh:134

References Args_Fseeko64, Retv_Fseeko64, and Xunix.

## Xrd_U_Fstat()

Retv_Fstat Xrd_U_Fstat | ( | Args_Fstat |  | ) |

Definition at line 106 of file XrdPosixLinkage.cc.

{return (Retv_Fstat)Xunix.Load_Error("fstat");}
Retv_Fstat
#define Retv_Fstat
Definition XrdPosixLinkage.hh:144

References Args_Fstat, Retv_Fstat, and Xunix.

## Xrd_U_Fstat64()

Retv_Fstat64 Xrd_U_Fstat64 | ( | Args_Fstat64 |  | ) |

Definition at line 108 of file XrdPosixLinkage.cc.

{return (Retv_Fstat64)Xunix.Load_Error("fstat64");}
Retv_Fstat64
#define Retv_Fstat64
Definition XrdPosixLinkage.hh:159

References Args_Fstat64, Retv_Fstat64, and Xunix.

## Xrd_U_Fsync()

Retv_Fsync Xrd_U_Fsync | ( | Args_Fsync |  | ) |

Definition at line 110 of file XrdPosixLinkage.cc.

{return (Retv_Fsync)Xunix.Load_Error("fsync");}
Retv_Fsync
#define Retv_Fsync
Definition XrdPosixLinkage.hh:165

References Args_Fsync, Retv_Fsync, and Xunix.

## Xrd_U_Ftell()

Retv_Ftell Xrd_U_Ftell | ( | Args_Ftell |  | ) |

Definition at line 112 of file XrdPosixLinkage.cc.

{return (Retv_Ftell)Xunix.Load_Error("ftell");}
Retv_Ftell
#define Retv_Ftell
Definition XrdPosixLinkage.hh:169

References Args_Ftell, Retv_Ftell, and Xunix.

## Xrd_U_Ftello()

Retv_Ftello Xrd_U_Ftello | ( | Args_Ftello |  | ) |

Definition at line 114 of file XrdPosixLinkage.cc.

{return (Retv_Ftello)Xunix.Load_Error("ftello");}
Retv_Ftello
#define Retv_Ftello
Definition XrdPosixLinkage.hh:173

References Args_Ftello, Retv_Ftello, and Xunix.

## Xrd_U_Ftello64()

Retv_Ftello64 Xrd_U_Ftello64 | ( | Args_Ftello64 |  | ) |

Definition at line 116 of file XrdPosixLinkage.cc.

{return (Retv_Ftello64)Xunix.Load_Error("ftello64");}
Retv_Ftello64
#define Retv_Ftello64
Definition XrdPosixLinkage.hh:182

References Args_Ftello64, Retv_Ftello64, and Xunix.

## Xrd_U_Ftruncate()

Retv_Ftruncate Xrd_U_Ftruncate | ( | Args_Ftruncate |  | ) |

Definition at line 118 of file XrdPosixLinkage.cc.

{return (Retv_Ftruncate)Xunix.Load_Error("ftruncate");}
Retv_Ftruncate
#define Retv_Ftruncate
Definition XrdPosixLinkage.hh:187

References Args_Ftruncate, Retv_Ftruncate, and Xunix.

## Xrd_U_Ftruncate64()

Retv_Ftruncate64 Xrd_U_Ftruncate64 | ( | Args_Ftruncate64 |  | ) |

Definition at line 120 of file XrdPosixLinkage.cc.

{return (Retv_Ftruncate64)Xunix.Load_Error("ftruncate64");}
Retv_Ftruncate64
#define Retv_Ftruncate64
Definition XrdPosixLinkage.hh:196

References Args_Ftruncate64, Retv_Ftruncate64, and Xunix.

## Xrd_U_Fwrite()

Retv_Fwrite Xrd_U_Fwrite | ( | Args_Fwrite |  | ) |

Definition at line 122 of file XrdPosixLinkage.cc.

{return (Retv_Fwrite)Xunix.Load_Error("fwrite");}
Retv_Fwrite
#define Retv_Fwrite
Definition XrdPosixLinkage.hh:201

References Args_Fwrite, Retv_Fwrite, and Xunix.

## Xrd_U_Getxattr()

Retv_Getxattr Xrd_U_Getxattr | ( | Args_Getxattr |  | ) |

Definition at line 126 of file XrdPosixLinkage.cc.

{return (Retv_Getxattr)Xunix.Load_Error("getxattr");}
Retv_Getxattr
#define Retv_Getxattr
Definition XrdPosixLinkage.hh:209

References Args_Getxattr, Retv_Getxattr, and Xunix.

## Xrd_U_Lgetxattr()

Retv_Lgetxattr Xrd_U_Lgetxattr | ( | Args_Lgetxattr |  | ) |

Definition at line 129 of file XrdPosixLinkage.cc.

{return (Retv_Lgetxattr)Xunix.Load_Error("lgetxattr");}
Retv_Lgetxattr
#define Retv_Lgetxattr
Definition XrdPosixLinkage.hh:213

References Args_Lgetxattr, Retv_Lgetxattr, and Xunix.

## Xrd_U_Lseek()

Retv_Lseek Xrd_U_Lseek | ( | Args_Lseek |  | ) |

Definition at line 132 of file XrdPosixLinkage.cc.

{return (Retv_Lseek)Xunix.Load_Error("lseek");}
Retv_Lseek
#define Retv_Lseek
Definition XrdPosixLinkage.hh:217

References Args_Lseek, Retv_Lseek, and Xunix.

## Xrd_U_Lseek64()

Retv_Lseek64 Xrd_U_Lseek64 | ( | Args_Lseek64 |  | ) |

Definition at line 134 of file XrdPosixLinkage.cc.

{return (Retv_Lseek64)Xunix.Load_Error("lseek");}
Retv_Lseek64
#define Retv_Lseek64
Definition XrdPosixLinkage.hh:226

References Args_Lseek64, Retv_Lseek64, and Xunix.

## Xrd_U_Lstat()

Retv_Lstat Xrd_U_Lstat | ( | Args_Lstat |  | ) |

Definition at line 136 of file XrdPosixLinkage.cc.

{return (Retv_Lstat)Xunix.Load_Error("lstat");}
Retv_Lstat
#define Retv_Lstat
Definition XrdPosixLinkage.hh:236

References Args_Lstat, Retv_Lstat, and Xunix.

## Xrd_U_Lstat64()

Retv_Lstat64 Xrd_U_Lstat64 | ( | Args_Lstat64 |  | ) |

Definition at line 138 of file XrdPosixLinkage.cc.

{return (Retv_Lstat64)Xunix.Load_Error("lstat");}
Retv_Lstat64
#define Retv_Lstat64
Definition XrdPosixLinkage.hh:251

References Args_Lstat64, Retv_Lstat64, and Xunix.

## Xrd_U_Mkdir()

Retv_Mkdir Xrd_U_Mkdir | ( | Args_Mkdir |  | ) |

Definition at line 140 of file XrdPosixLinkage.cc.

{return (Retv_Mkdir)Xunix.Load_Error("mkdir");}
Retv_Mkdir
#define Retv_Mkdir
Definition XrdPosixLinkage.hh:257

References Args_Mkdir, Retv_Mkdir, and Xunix.

## Xrd_U_Open()

Retv_Open Xrd_U_Open | ( | Args_Open |  | ) |

Definition at line 142 of file XrdPosixLinkage.cc.

{return (Retv_Open)Xunix.Load_Error("open");}
Retv_Open
#define Retv_Open
Definition XrdPosixLinkage.hh:261

References Args_Open, Retv_Open, and Xunix.

## Xrd_U_Open64()

Retv_Open64 Xrd_U_Open64 | ( | Args_Open64 |  | ) |

Definition at line 144 of file XrdPosixLinkage.cc.

{return (Retv_Open64)Xunix.Load_Error("open");}
Retv_Open64
#define Retv_Open64
Definition XrdPosixLinkage.hh:270

References Args_Open64, Retv_Open64, and Xunix.

## Xrd_U_Opendir()

Retv_Opendir Xrd_U_Opendir | ( | Args_Opendir |  | ) |

Definition at line 146 of file XrdPosixLinkage.cc.

{Xunix.Load_Error("opendir"); return (Retv_Opendir)0;}
Retv_Opendir
#define Retv_Opendir
Definition XrdPosixLinkage.hh:275

References Args_Opendir, Retv_Opendir, and Xunix.

## Xrd_U_Pathconf()

Retv_Pathconf Xrd_U_Pathconf | ( | Args_Pathconf |  | ) |

Definition at line 148 of file XrdPosixLinkage.cc.

{return (Retv_Pathconf)Xunix.Load_Error("pathconf");}
Retv_Pathconf
#define Retv_Pathconf
Definition XrdPosixLinkage.hh:279

References Args_Pathconf, Retv_Pathconf, and Xunix.

## Xrd_U_Pread()

Retv_Pread Xrd_U_Pread | ( | Args_Pread |  | ) |

Definition at line 150 of file XrdPosixLinkage.cc.

{return (Retv_Pread)Xunix.Load_Error("pread");}
Retv_Pread
#define Retv_Pread
Definition XrdPosixLinkage.hh:283

References Args_Pread, Retv_Pread, and Xunix.

## Xrd_U_Pread64()

Retv_Pread64 Xrd_U_Pread64 | ( | Args_Pread64 |  | ) |

Definition at line 152 of file XrdPosixLinkage.cc.

{return (Retv_Pread64)Xunix.Load_Error("pread");}
Retv_Pread64
#define Retv_Pread64
Definition XrdPosixLinkage.hh:292

References Args_Pread64, Retv_Pread64, and Xunix.

## Xrd_U_Pwrite()

Retv_Pwrite Xrd_U_Pwrite | ( | Args_Pwrite |  | ) |

Definition at line 154 of file XrdPosixLinkage.cc.

{return (Retv_Pwrite)Xunix.Load_Error("pwrite");}
Retv_Pwrite
#define Retv_Pwrite
Definition XrdPosixLinkage.hh:297

References Args_Pwrite, Retv_Pwrite, and Xunix.

## Xrd_U_Pwrite64()

Retv_Pwrite64 Xrd_U_Pwrite64 | ( | Args_Pwrite64 |  | ) |

Definition at line 156 of file XrdPosixLinkage.cc.

{return (Retv_Pwrite64)Xunix.Load_Error("pwrite");}
Retv_Pwrite64
#define Retv_Pwrite64
Definition XrdPosixLinkage.hh:306

References Args_Pwrite64, Retv_Pwrite64, and Xunix.

## Xrd_U_Read()

Retv_Read Xrd_U_Read | ( | Args_Read |  | ) |

Definition at line 158 of file XrdPosixLinkage.cc.

{return (Retv_Read)Xunix.Load_Error("read");}
Retv_Read
#define Retv_Read
Definition XrdPosixLinkage.hh:311

References Args_Read, Retv_Read, and Xunix.

## Xrd_U_Readdir()

Retv_Readdir Xrd_U_Readdir | ( | Args_Readdir |  | ) |

Definition at line 162 of file XrdPosixLinkage.cc.

{Xunix.Load_Error("readdir"); return (Retv_Readdir)0;}
Retv_Readdir
#define Retv_Readdir
Definition XrdPosixLinkage.hh:319

References Args_Readdir, Retv_Readdir, and Xunix.

## Xrd_U_Readdir64()

Retv_Readdir64 Xrd_U_Readdir64 | ( | Args_Readdir64 |  | ) |

Definition at line 164 of file XrdPosixLinkage.cc.

{Xunix.Load_Error("readdir64");return (Retv_Readdir64)0;}
Retv_Readdir64
#define Retv_Readdir64
Definition XrdPosixLinkage.hh:328

References Args_Readdir64, Retv_Readdir64, and Xunix.

## Xrd_U_Readdir64_r()

Retv_Readdir64_r Xrd_U_Readdir64_r | ( | Args_Readdir64_r |  | ) |

Definition at line 168 of file XrdPosixLinkage.cc.

{return (Retv_Readdir64_r)Xunix.Load_Error("readdir64_r", ELIBACC);}
Retv_Readdir64_r
#define Retv_Readdir64_r
Definition XrdPosixLinkage.hh:342

References Args_Readdir64_r, Retv_Readdir64_r, and Xunix.

## Xrd_U_Readdir_r()

Retv_Readdir_r Xrd_U_Readdir_r | ( | Args_Readdir_r |  | ) |

Definition at line 166 of file XrdPosixLinkage.cc.

{return (Retv_Readdir_r)Xunix.Load_Error("readdir_r", ELIBACC);}
Retv_Readdir_r
#define Retv_Readdir_r
Definition XrdPosixLinkage.hh:333

References Args_Readdir_r, Retv_Readdir_r, and Xunix.

## Xrd_U_Readv()

Retv_Readv Xrd_U_Readv | ( | Args_Readv |  | ) |

Definition at line 160 of file XrdPosixLinkage.cc.

{return (Retv_Readv)Xunix.Load_Error("readv");}
Retv_Readv
#define Retv_Readv
Definition XrdPosixLinkage.hh:315

References Args_Readv, Retv_Readv, and Xunix.

## Xrd_U_Rename()

Retv_Rename Xrd_U_Rename | ( | Args_Rename |  | ) |

Definition at line 170 of file XrdPosixLinkage.cc.

{return (Retv_Rename)Xunix.Load_Error("rename");}
Retv_Rename
#define Retv_Rename
Definition XrdPosixLinkage.hh:347

References Args_Rename, Retv_Rename, and Xunix.

## Xrd_U_Rewinddir()

Retv_Rewinddir Xrd_U_Rewinddir | ( | Args_Rewinddir |  | ) |

Definition at line 172 of file XrdPosixLinkage.cc.

{ Xunix.Load_Error("rewinddir"); abort();}

References Args_Rewinddir, Retv_Rewinddir, and Xunix.

## Xrd_U_Rmdir()

Retv_Rmdir Xrd_U_Rmdir | ( | Args_Rmdir |  | ) |

Definition at line 174 of file XrdPosixLinkage.cc.

{return (Retv_Rmdir)Xunix.Load_Error("rmdir");}
Retv_Rmdir
#define Retv_Rmdir
Definition XrdPosixLinkage.hh:355

References Args_Rmdir, Retv_Rmdir, and Xunix.

## Xrd_U_Seekdir()

Retv_Seekdir Xrd_U_Seekdir | ( | Args_Seekdir |  | ) |

Definition at line 176 of file XrdPosixLinkage.cc.

{ Xunix.Load_Error("seekdir"); abort();}

References Args_Seekdir, Retv_Seekdir, and Xunix.

## Xrd_U_Stat()

Retv_Stat Xrd_U_Stat | ( | Args_Stat |  | ) |

Definition at line 178 of file XrdPosixLinkage.cc.

{return (Retv_Stat)Xunix.Load_Error("stat");}
Retv_Stat
#define Retv_Stat
Definition XrdPosixLinkage.hh:368

References Args_Stat, Retv_Stat, and Xunix.

## Xrd_U_Stat64()

Retv_Stat64 Xrd_U_Stat64 | ( | Args_Stat64 |  | ) |

Definition at line 180 of file XrdPosixLinkage.cc.

{return (Retv_Stat64)Xunix.Load_Error("stat");}
Retv_Stat64
#define Retv_Stat64
Definition XrdPosixLinkage.hh:383

References Args_Stat64, Retv_Stat64, and Xunix.

## Xrd_U_Statfs()

Retv_Statfs Xrd_U_Statfs | ( | Args_Statfs |  | ) |

Definition at line 182 of file XrdPosixLinkage.cc.

{return (Retv_Statfs)Xunix.Load_Error("statfs");}
Retv_Statfs
#define Retv_Statfs
Definition XrdPosixLinkage.hh:389

References Args_Statfs, Retv_Statfs, and Xunix.

## Xrd_U_Statfs64()

Retv_Statfs64 Xrd_U_Statfs64 | ( | Args_Statfs64 |  | ) |

Definition at line 184 of file XrdPosixLinkage.cc.

{return (Retv_Statfs64)Xunix.Load_Error("statfs64");}
Retv_Statfs64
#define Retv_Statfs64
Definition XrdPosixLinkage.hh:398

References Args_Statfs64, Retv_Statfs64, and Xunix.

## Xrd_U_Statvfs()

Retv_Statvfs Xrd_U_Statvfs | ( | Args_Statvfs |  | ) |

Definition at line 186 of file XrdPosixLinkage.cc.

{return (Retv_Statvfs)Xunix.Load_Error("statvfs");}
Retv_Statvfs
#define Retv_Statvfs
Definition XrdPosixLinkage.hh:403

References Args_Statvfs, Retv_Statvfs, and Xunix.

## Xrd_U_Statvfs64()

Retv_Statvfs64 Xrd_U_Statvfs64 | ( | Args_Statvfs64 |  | ) |

Definition at line 188 of file XrdPosixLinkage.cc.

{return (Retv_Statvfs64)Xunix.Load_Error("statvfs64");}
Retv_Statvfs64
#define Retv_Statvfs64
Definition XrdPosixLinkage.hh:412

References Args_Statvfs64, Retv_Statvfs64, and Xunix.

## Xrd_U_Telldir()

Retv_Telldir Xrd_U_Telldir | ( | Args_Telldir |  | ) |

Definition at line 190 of file XrdPosixLinkage.cc.

{return (Retv_Telldir)Xunix.Load_Error("telldir");}
Retv_Telldir
#define Retv_Telldir
Definition XrdPosixLinkage.hh:417

References Args_Telldir, Retv_Telldir, and Xunix.

## Xrd_U_Truncate()

Retv_Truncate Xrd_U_Truncate | ( | Args_Truncate |  | ) |

Definition at line 192 of file XrdPosixLinkage.cc.

{return (Retv_Truncate)Xunix.Load_Error("truncate");}
Retv_Truncate
#define Retv_Truncate
Definition XrdPosixLinkage.hh:421

References Args_Truncate, Retv_Truncate, and Xunix.

## Xrd_U_Truncate64()

Retv_Truncate64 Xrd_U_Truncate64 | ( | Args_Truncate64 |  | ) |

Definition at line 194 of file XrdPosixLinkage.cc.

{return (Retv_Truncate64)Xunix.Load_Error("truncate64");}
Retv_Truncate64
#define Retv_Truncate64
Definition XrdPosixLinkage.hh:430

References Args_Truncate64, Retv_Truncate64, and Xunix.

## Xrd_U_Unlink()

Retv_Unlink Xrd_U_Unlink | ( | Args_Unlink |  | ) |

Definition at line 196 of file XrdPosixLinkage.cc.

{return (Retv_Unlink)Xunix.Load_Error("unlink");}
Retv_Unlink
#define Retv_Unlink
Definition XrdPosixLinkage.hh:435

References Args_Unlink, Retv_Unlink, and Xunix.

## Xrd_U_Write()

Retv_Write Xrd_U_Write | ( | Args_Write |  | ) |

Definition at line 198 of file XrdPosixLinkage.cc.

{return (Retv_Write)Xunix.Load_Error("write");}
Retv_Write
#define Retv_Write
Definition XrdPosixLinkage.hh:439

References Args_Write, Retv_Write, and Xunix.

Referenced by XrdPosixLinkage::Load_Error().

Here is the caller graph for this function:

## Xrd_U_Writev()

Retv_Writev Xrd_U_Writev | ( | Args_Writev |  | ) |

Definition at line 200 of file XrdPosixLinkage.cc.

{return (Retv_Writev)Xunix.Load_Error("writev");}
Retv_Writev
#define Retv_Writev
Definition XrdPosixLinkage.hh:443

References Args_Writev, Retv_Writev, and Xunix.

Referenced by XrdPosixLinkage::Load_Error().

Here is the caller graph for this function:

## Variable Documentation

## Xunix

XrdPosixLinkage Xunix

Definition at line 57 of file XrdPosixLinkage.cc.

Referenced by access(), acl(), chdir(), close(), closedir(), creat64(), fclose(), fcntl64(), fdatasync(), fflush(), fopen64(), fread(), fseek(), fseeko64(), fstat64(), fsync(), ftell(), ftello64(), ftruncate64(), fwrite(), llseek(), lseek64(), lstat64(), mkdir(), open64(), opendir(), pathconf(), pread64(), pwrite64(), read(), readdir64(), readdir64_r(), readv(), rename(), rewinddir(), rmdir(), seekdir(), stat64(), statfs64(), statvfs64(), telldir(), truncate64(), unlink(), write(), writev(), Xrd_U_Access(), Xrd_U_Acl(), Xrd_U_Chdir(), Xrd_U_Close(), Xrd_U_Closedir(), Xrd_U_Fclose(), Xrd_U_Fcntl(), Xrd_U_Fcntl64(), Xrd_U_Fdatasync(), Xrd_U_Fflush(), Xrd_U_Fgetxattr(), Xrd_U_Fopen(), Xrd_U_Fopen64(), Xrd_U_Fread(), Xrd_U_Fseek(), Xrd_U_Fseeko(), Xrd_U_Fseeko64(), Xrd_U_Fstat(), Xrd_U_Fstat64(), Xrd_U_Fsync(), Xrd_U_Ftell(), Xrd_U_Ftello(), Xrd_U_Ftello64(), Xrd_U_Ftruncate(), Xrd_U_Ftruncate64(), Xrd_U_Fwrite(), Xrd_U_Getxattr(), Xrd_U_Lgetxattr(), Xrd_U_Lseek(), Xrd_U_Lseek64(), Xrd_U_Lstat(), Xrd_U_Lstat64(), Xrd_U_Mkdir(), Xrd_U_Open(), Xrd_U_Open64(), Xrd_U_Opendir(), Xrd_U_Pathconf(), Xrd_U_Pread(), Xrd_U_Pread64(), Xrd_U_Pwrite(), Xrd_U_Pwrite64(), Xrd_U_Read(), Xrd_U_Readdir(), Xrd_U_Readdir64(), Xrd_U_Readdir64_r(), Xrd_U_Readdir_r(), Xrd_U_Readv(), Xrd_U_Rename(), Xrd_U_Rewinddir(), Xrd_U_Rmdir(), Xrd_U_Seekdir(), Xrd_U_Stat(), Xrd_U_Stat64(), Xrd_U_Statfs(), Xrd_U_Statfs64(), Xrd_U_Statvfs(), Xrd_U_Statvfs64(), Xrd_U_Telldir(), Xrd_U_Truncate(), Xrd_U_Truncate64(), Xrd_U_Unlink(), Xrd_U_Write(), Xrd_U_Writev(), XrdPosix_Access(), XrdPosix_Acl(), XrdPosix_Chdir(), XrdPosix_Close(), XrdPosix_Closedir(), XrdPosix_Fclose(), XrdPosix_Fcntl(), XrdPosix_Fdatasync(), XrdPosix_Fflush(), XrdPosix_Fopen(), XrdPosix_Fread(), XrdPosix_Fseek(), XrdPosix_Fseeko(), XrdPosix_Fstat(), XrdPosix_Fsync(), XrdPosix_Ftell(), XrdPosix_Ftello(), XrdPosix_Ftruncate(), XrdPosix_Fwrite(), XrdPosix_Lseek(), XrdPosix_Lstat(), XrdPosix_Mkdir(), XrdPosix_Open(), XrdPosix_Opendir(), XrdPosix_Pathconf(), XrdPosix_Pread(), XrdPosix_Pwrite(), XrdPosix_Read(), XrdPosix_Readdir(), XrdPosix_Readdir64(), XrdPosix_Readdir64_r(), XrdPosix_Readdir_r(), XrdPosix_Readv(), XrdPosix_Rename(), XrdPosix_Rewinddir(), XrdPosix_Rmdir(), XrdPosix_Seekdir(), XrdPosix_Stat(), XrdPosix_Statfs(), XrdPosix_Statvfs(), XrdPosix_Telldir(), XrdPosix_Truncate(), XrdPosix_Unlink(), XrdPosix_Write(), and XrdPosix_Writev().